import { BaseApiService } from '@/services/api/base';
import {
  DailyChecklistKandang,
  CreateDailyChecklistKandangPayload,
  UpdateDailyChecklistKandangPayload,
} from '@/types/api/daily-checklist/kandang';

export class DailyChecklistKandangApiService extends BaseApiService<
  DailyChecklistKandang,
  CreateDailyChecklistKandangPayload,
  UpdateDailyChecklistKandangPayload
> {
  constructor(basePath: string = '/master-data/kandang-groups') {
    super(basePath);
  }
}

export const DailyChecklistKandangApi = new DailyChecklistKandangApiService(
  '/master-data/kandang-groups'
);
